Subject: Re: [PATCH net-next v2 0/5] bridge: per-vlan stats

From: Nikolay Aleksandrov <[email-masked]>
Date: Fri, 29 Apr 2016 22:19:42 +0200

On 04/29/2016 10:12 PM, David Miller wrote:
> From: Nikolay Aleksandrov <[email-masked]>
> Date: Fri, 29 Apr 2016 21:49:17 +0200
> 
>> Because that is not needed for the per-vlan stats to work, I did to
>> unify the paths and simplify the pvid code but I can easily drop it
>> and revert back to using the direct pvid id.  The only fetch will be
>> the stats per-cpu pointer then. Would that be acceptable ?
> 
> It would be a step in the right direction, for sure.
> 

Okay, just one more thing I forgot to mention - please note that my code swaps
an unconditional smp_rmb() (in br_get_pvid()) for a pointer fetch, I'm not sure
the pointer fetch is slower as it's probably already in the cache if that vlan
is used.

Anyway, I will resubmit without that patch.

Thanks,
 Nik